> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baseten.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List parts

> List all uploaded parts for a multipart upload



## OpenAPI

````yaml /reference/sandbox-api/openapi.json get /filesystem-multipart/{uploadId}/parts
openapi: 3.0.0
info:
  description: API for manipulating filesystem, processes and network.
  title: Sandbox API
  contact: {}
  version: 0.0.1
servers:
  - url: https://{sandbox_host}
    description: >-
      Host from the sandbox's returned url, without the scheme or trailing
      slash.
    variables:
      sandbox_host:
        default: sandbox.example.com
security:
  - BearerAuth: []
paths:
  /filesystem-multipart/{uploadId}/parts:
    get:
      tags:
        - filesystem
      summary: List parts
      description: List all uploaded parts for a multipart upload
      parameters:
        - description: Upload ID
          name: uploadId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of parts
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MultipartListPartsResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Upload not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    MultipartListPartsResponse:
      type: object
      properties:
        parts:
          type: array
          items:
            $ref: '#/components/schemas/filesystem.UploadedPart'
        uploadId:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          example: Error message
    filesystem.UploadedPart:
      type: object
      properties:
        etag:
          type: string
          example: 5d41402abc4b2a76b9719d911017c592
        partNumber:
          type: integer
          example: 1
        size:
          type: integer
          example: 5242880
        uploadedAt:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Sandbox access token created through POST /v1/token.

````